Bug 23098 - KOC upload process has misleading wording
Summary: KOC upload process has misleading wording
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 17:06 UTC by Benjamin Daeuber
Modified: 2019-07-25 19:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23098: Reword success message of KOC upload process (1.54 KB, patch)
2019-06-17 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23098: Reword success message of KOC upload process (1.59 KB, patch)
2019-06-21 03:43 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23098: Reword success message of KOC upload process (1.65 KB, patch)
2019-06-21 12:22 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Daeuber 2019-06-11 17:06:04 UTC
During the KOC upload process, after a user clicks "Upload", Koha will return "Your file was processed". This is somewhat misleading and implies the process is over. When looking at pending offline circulation actions that button also says "Process", so staff that do this rarely may get them confused and stop the process too early. 

I suggest changing the wording to "Your file was uploaded. Once all files are uploaded, please process them in pending offline circulation actions." or something to that effect.
Comment 1 Lisette Scheer 2019-06-11 22:25:03 UTC
Agreed. The wording is confusing and we had some trouble with this very problem this weekend. 
Lisette
Comment 2 Katrin Fischer 2019-06-17 21:24:31 UTC
Created attachment 90704 [details] [review]
Bug 23098: Reword success message of KOC upload process

When uploading KOC files the processing of transactions needs
to happen in a separate second step. This is why the success
message "Your file was processed" was found to be misleading.

This patch changes it to the wording suggested by Benjamin
Daeuber in the original bug report. Thx!

To test:
- Create a KOC file either manually or by downloading it
  from the plugin
- Upload the KOC file into Koha using Circulation >
  Upload offline circulation file (.koc)
- Verify the new message is clear and has no typos :)
Comment 3 Katrin Fischer 2019-06-17 21:24:53 UTC
Hi Lisette and Benjamin, I've changed the message, hope that works for you!
Comment 4 M. Tompsett 2019-06-21 03:43:04 UTC
Created attachment 90866 [details] [review]
Bug 23098: Reword success message of KOC upload process

When uploading KOC files the processing of transactions needs
to happen in a separate second step. This is why the success
message "Your file was processed" was found to be misleading.

This patch changes it to the wording suggested by Benjamin
Daeuber in the original bug report. Thx!

To test:
- Create a KOC file either manually or by downloading it
  from the plugin
- Upload the KOC file into Koha using Circulation >
  Upload offline circulation file (.koc)
- Verify the new message is clear and has no typos :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 M. Tompsett 2019-06-21 03:44:24 UTC
Only thing that was a little off was the processing AFTER this, the check/uncheck doesn't disappear once the success message appears in the first column. But that is beyond the scope of this bug.
Comment 6 Nick Clemens 2019-06-21 12:22:23 UTC
Created attachment 90907 [details] [review]
Bug 23098: Reword success message of KOC upload process

When uploading KOC files the processing of transactions needs
to happen in a separate second step. This is why the success
message "Your file was processed" was found to be misleading.

This patch changes it to the wording suggested by Benjamin
Daeuber in the original bug report. Thx!

To test:
- Create a KOC file either manually or by downloading it
  from the plugin
- Upload the KOC file into Koha using Circulation >
  Upload offline circulation file (.koc)
- Verify the new message is clear and has no typos :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Martin Renvoize 2019-06-24 13:50:46 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Martin Renvoize 2019-06-24 14:48:16 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-07-24 06:54:12 UTC
Pushed to 19.05.x for 19.05.03
Comment 10 Lucas Gass 2019-07-25 19:15:44 UTC
backported to 18.11.x for 18.11.09